Skip to main content
GET
/
fx
/
quote
/
time-series
cURL
curl --request GET \
  --url 'https://api.fastforex.io/fx/quote/time-series?api_key='
import requests

url = "https://api.fastforex.io/fx/quote/time-series?api_key="

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.fastforex.io/fx/quote/time-series?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "pair": "GBPUSD",
  "interval": "PT1M",
  "limit": 10,
  "dtmfmt": "ISO",
  "end": "2025-02-13T16:30:00Z",
  "tzOffset": "+00:00",
  "size": 1,
  "results": [
    {
      "dtm": "2025-02-13T16:29:00Z",
      "bid": 1.25377,
      "ask": 1.25379
    },
    {
      "dtm": "2025-02-13T16:28:00Z",
      "bid": 1.2536,
      "ask": 1.25371
    },
    {
      "dtm": "2025-02-13T16:27:00Z",
      "bid": 1.25359,
      "ask": 1.25366
    },
    {
      "dtm": "2025-02-13T16:26:00Z",
      "bid": 1.25385,
      "ask": 1.25396
    },
    {
      "dtm": "2025-02-13T16:25:00Z",
      "bid": 1.25401,
      "ask": 1.25402
    },
    {
      "dtm": "2025-02-13T16:24:00Z",
      "bid": 1.25392,
      "ask": 1.25397
    },
    {
      "dtm": "2025-02-13T16:23:00Z",
      "bid": 1.25374,
      "ask": 1.25379
    },
    {
      "dtm": "2025-02-13T16:22:00Z",
      "bid": 1.2537,
      "ask": 1.25387
    },
    {
      "dtm": "2025-02-13T16:21:00Z",
      "bid": 1.25372,
      "ask": 1.25389
    }
  ],
  "ms": 16
}

Authorizations

api_key
string
query
required

Query Parameters

pair
string
required

Trading pair, such as EURUSD A single FX trading pair, with or without a slash

Pattern: [A-Z0-9]{3,6}/?[A-Z0-9]{3,6}
start

Time-series start. Supported formats: YYYY-MM-DD (UTC). YYYY-MM-DD HH:MM:SS (UTC), ISO8601 with timezone offset. Timestamp in milliseconds. Supply this or end. A datetime value. If no timezone offset supplied, UTC/GMT is assumed. If only a date is supplied, time is assumed to be 00:00:00 UTC.

Pattern: [0-9]{4}-[0-9]{2}-[0-9]{2}
end

Time-series end. Supported formats: YYYY-MM-DD (UTC). YYYY-MM-DD HH:MM:SS (UTC), ISO8601 with timezone offset. Timestamp in milliseconds. Supply this or start. A datetime value. If no timezone offset supplied, UTC/GMT is assumed. If only a date is supplied, time is assumed to be 00:00:00 UTC.

Pattern: [0-9]{4}-[0-9]{2}-[0-9]{2}
dtmfmt
enum<string>

Can be [ISO] ISO8601 datetime including timezone offset, [TSP] UNIX Timestamp in milliseconds, or [UTCYMD] 'YYYY-MM-DD HH:MM:SS' (UTC).

Available options:
ISO,
TSP,
UTCYMD
interval
string

ISO8601 duration, such as P1D (daily). Defaults to P1D. Options are P1D, PT1H, PT1M. ISO8601 Duration. https://en.wikipedia.org/wiki/ISO_8601#Durations

limit
number<int32>

Maximum number of data points to return. Default varies upon duration.

Required range: 1 <= x <= 100

Response

Success

pair
string

A single FX trading pair, with or without a slash

Pattern: [A-Z0-9]{3,6}/?[A-Z0-9]{3,6}
limit
number<int32>
dtmfmt
enum<string>

Can be [ISO] ISO8601 datetime including timezone offset, [TSP] UNIX Timestamp in milliseconds, or [UTCYMD] 'YYYY-MM-DD HH:MM:SS' (UTC).

Available options:
ISO,
TSP,
UTCYMD
start

A datetime value. If no timezone offset supplied, UTC/GMT is assumed.

Pattern: [0-9]{4}-[0-9]{2}-[0-9]{2} [0-9]{2}:[0-9]{2}:[0-9]{2}
end

A datetime value. If no timezone offset supplied, UTC/GMT is assumed.

Pattern: [0-9]{4}-[0-9]{2}-[0-9]{2} [0-9]{2}:[0-9]{2}:[0-9]{2}
tzOffset
string

Timezone offset. e.g. +00:00 or -05:00

size
number<int32>

Size of the quote is units of the base currency/symbol. Usually 1.

results
object[]
ms
number<int32>

Server response time in milliseconds